diff --git a/tests/p_coreutils/user.sh b/tests/p_coreutils/user.sh
new file mode 100755
index 0000000..cfaa2b6
--- /dev/null
+++ b/tests/p_coreutils/user.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Author: Alice Kaerast <alice@kaerast.info>
+
+t_Log "$0 - test various user commands from coreutils"
+who | grep -q "$LOGNAME" && who mom likes | grep -q "$LOGNAME" && users | grep -q "$LOGNAME" && id | grep -q "$LOGNAME" && logname | grep -q "$LOGNAME"
+t_CheckExitStatus $?